changeset in /hg/icedtea: * configure.ac: Added check for libXtst.

classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

changeset in /hg/icedtea: * configure.ac: Added check for libXtst.

Keith Seitz
changeset 89ec04d11de1 in /hg/icedtea
details: http://icedtea.classpath.org/hg/icedtea?cmd=changeset;node=89ec04d11de1
description:
        * configure.ac: Added check for libXtst.
                * configure: Regenerated.

diffstat:

3 files changed, 84 insertions(+)
ChangeLog    |    5 +++
configure    |   76 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
configure.ac |    3 ++

diffs (114 lines):

diff -r 9a2c46b3ad60 -r 89ec04d11de1 ChangeLog
--- a/ChangeLog Thu Sep 13 12:09:30 2007 -0400
+++ b/ChangeLog Fri Sep 14 13:12:11 2007 -0700
@@ -16,6 +16,11 @@ 2007-09-16  Christan Thalinger  <twisti@
  patches/icedtea-cacao-docs-Makefile.patch.
  * Makefile.in: Regenerated.
  * patches/icedtea-cacao-docs-Makefile.patch: New file.
+
+2007-09-14  Keith Seitz  <[hidden email]>
+
+ * configure.ac: Added check for libXtst.
+ * configure: Regenerated.
 
 2007-09-13  Christan Thalinger  <[hidden email]>
 
diff -r 9a2c46b3ad60 -r 89ec04d11de1 configure
--- a/configure Thu Sep 13 12:09:30 2007 -0400
+++ b/configure Fri Sep 14 13:12:11 2007 -0700
@@ -8617,6 +8617,82 @@ done
 
 
 
+{ echo "$as_me:$LINENO: checking for XTestQueryExtension in -lXtst" >&5
+echo $ECHO_N "checking for XTestQueryExtension in -lXtst... $ECHO_C" >&6; }
+if test "${ac_cv_lib_Xtst_XTestQueryExtension+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  ac_check_lib_save_LIBS=$LIBS
+LIBS="-lXtst  $LIBS"
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+
+/* Override any GCC internal prototype to avoid an error.
+   Use char because int might match the return type of a GCC
+   builtin and then its argument prototype would still apply.  */
+#ifdef __cplusplus
+extern "C"
+#endif
+char XTestQueryExtension ();
+int
+main ()
+{
+return XTestQueryExtension ();
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext conftest$ac_exeext
+if { (ac_try="$ac_link"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_link") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } && {
+ test -z "$ac_c_werror_flag" ||
+ test ! -s conftest.err
+       } && test -s conftest$ac_exeext &&
+       $as_test_x conftest$ac_exeext; then
+  ac_cv_lib_Xtst_XTestQueryExtension=yes
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+ ac_cv_lib_Xtst_XTestQueryExtension=no
+fi
+
+rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
+      conftest$ac_exeext conftest.$ac_ext
+LIBS=$ac_check_lib_save_LIBS
+fi
+{ echo "$as_me:$LINENO: result: $ac_cv_lib_Xtst_XTestQueryExtension" >&5
+echo "${ECHO_T}$ac_cv_lib_Xtst_XTestQueryExtension" >&6; }
+if test $ac_cv_lib_Xtst_XTestQueryExtension = yes; then
+  cat >>confdefs.h <<_ACEOF
+#define HAVE_LIBXTST 1
+_ACEOF
+
+  LIBS="-lXtst $LIBS"
+
+else
+  { { echo "$as_me:$LINENO: error: \"libXtst not found - try installing libXtst-devel\"" >&5
+echo "$as_me: error: \"libXtst not found - try installing libXtst-devel\"" >&2;}
+   { (exit 1); exit 1; }; }
+fi
+
+
+
 
 if test "x$ac_cv_env_PKG_CONFIG_set" != "xset"; then
  if test -n "$ac_tool_prefix"; then
diff -r 9a2c46b3ad60 -r 89ec04d11de1 configure.ac
--- a/configure.ac Thu Sep 13 12:09:30 2007 -0400
+++ b/configure.ac Fri Sep 14 13:12:11 2007 -0700
@@ -87,6 +87,9 @@ ENABLE_FAST_BUILD
 
 CHECK_HEADERS
 
+AC_CHECK_LIB(Xtst, XTestQueryExtension,
+ , [AC_MSG_ERROR("libXtst not found - try installing libXtst-devel")])
+
 dnl Check for plugin support headers and libraries.
 PKG_CHECK_MODULES(MOZILLA, mozilla-plugin, [MOZILLA_FOUND=yes], \
   [MOZILLA_FOUND=no])